org.eclipse.aether.repository

## Class WorkspaceRepository

- java.lang.Object
- - org.eclipse.aether.repository.WorkspaceRepository

- All Implemented Interfaces:
    ArtifactRepository

      public final class WorkspaceRepository
      extends Object
      implements ArtifactRepository

  A repository backed by an IDE workspace, the output of a build session or similar ad-hoc collection of artifacts. As far as the repository system is concerned, a workspace repository is read-only, i.e. can only be used for artifact resolution but not installation/deployment. Note that this class merely describes such a repository, actual access to the contained artifacts is handled by a `WorkspaceReader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkspaceRepository()` Creates a new workspace repository of type `"workspace"` and a random key.
    `WorkspaceRepository(String type)` Creates a new workspace repository with the specified type and a random key.
    `WorkspaceRepository(String type, Object key)` Creates a new workspace repository with the specified type and key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getContentType()` Gets the type of the repository, for example "default".
    `String` | `getId()` Gets the identifier of this repository.
    `Object` | `getKey()` Gets the key of this workspace repository.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceRepository

          public WorkspaceRepository()

      Creates a new workspace repository of type `"workspace"` and a random key.

    - #### WorkspaceRepository

          public WorkspaceRepository(String type)

      Creates a new workspace repository with the specified type and a random key.
      Parameters:
        `type` - The type of the repository, may be `null`.

    - #### WorkspaceRepository

          public WorkspaceRepository(String type,
                             Object key)

      Creates a new workspace repository with the specified type and key. The key is used to distinguish one workspace from another and should be sensitive to the artifacts that are (potentially) available in the workspace.
      Parameters:
        `type` - The type of the repository, may be `null`.
        `key` - The (comparison) key for the repository, may be `null` to generate a unique random key.

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Description copied from interface: `ArtifactRepository`
      Gets the type of the repository, for example "default".
      Specified by:
        `getContentType` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) type of the repository, never `null`.

    - #### getId

          public String getId()

      Description copied from interface: `ArtifactRepository`
      Gets the identifier of this repository.
      Specified by:
        `getId` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) identifier, never `null`.

    - #### getKey

          public Object getKey()

      Gets the key of this workspace repository. The key is used to distinguish one workspace from another and should be sensitive to the artifacts that are (potentially) available in the workspace.
      Returns:
        The (comparison) key for this workspace repository, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.